[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Please unblock xfonts-terminus 4.26-2.1



Dear release team,

I'd like to request for a freeze exception for xfonts-terminus 4.26-2.1.

This version fixes lenny-goal bugs #455037, #455039 (piupart-cleanness).

debdiff:

diff -u xfonts-terminus-4.26/debian/xfonts-terminus.preinst xfonts-terminus-4.26/debian/xfonts-terminus.preinst
--- xfonts-terminus-4.26/debian/xfonts-terminus.preinst
+++ xfonts-terminus-4.26/debian/xfonts-terminus.preinst
@@ -2,23 +2,20 @@
 
 set -e
 
+# Remove a no-longer used conffile
+rm_conffile() {
+    CONFFILE="$1"
+
+    if [ -e "$CONFFILE" ]; then
+        echo "Removing obsolete conffile $CONFFILE ..."
+        rm -f "$CONFFILE"
+    fi
+}
+
 case "$1" in
     install|upgrade)
-	# Version 4.12-1 of the package left some garbage behind
-	if \
-	    [ -f /usr/share/fonts/bitmap/terminus/fonts.cache-1 ] \
-	    && [ "`ls /usr/share/fonts/bitmap/terminus/|wc -l`" -eq 1 ]
-	then
-	    rm /usr/share/fonts/bitmap/terminus/fonts.cache-1
-	    rmdir /usr/share/fonts/bitmap/terminus/
-	fi
-	if \
-	    [ -f /usr/share/fonts/bitmap/fonts.cache-1 ] \
-	    && [ "`ls /usr/share/fonts/bitmap/|wc -l`" -eq 1 ]
-	then
-	    rm /usr/share/fonts/bitmap/fonts.cache-1
-	    rmdir /usr/share/fonts/bitmap/
-	fi
+	# Version 4.20-5.1 (etch) left obsolete conffile behind.
+	rm_conffile "/etc/X11/fonts/X11R7/misc/xfonts-terminus.alias"
 	;;
     
     abort-upgrade)
diff -u xfonts-terminus-4.26/debian/changelog xfonts-terminus-4.26/debian/changelog
--- xfonts-terminus-4.26/debian/changelog
+++ xfonts-terminus-4.26/debian/changelog
@@ -1,3 +1,13 @@
+xfonts-terminus (4.26-2.1) unstable; urgency=medium
+
+  * Non-maintainer upload.
+  * Urgency medium due to lenny-goal bug fix.
+  * Clear obsolete conffiles that were left over from etch for xfonts-terminus
+    and xfonts-terminus-dos. closes: #455037, #455039.
+  * Drop clearance stuffs for very old versions from xfonts-terminus preinst.
+
+ -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 24 Nov 2008 12:05:05 +0700
+
 xfonts-terminus (4.26-2) unstable; urgency=low
 
   * Remove the obsoleted Debconf message.  Thanks to Christian Perrier,
only in patch2:
unchanged:
--- xfonts-terminus-4.26.orig/debian/xfonts-terminus-dos.preinst
+++ xfonts-terminus-4.26/debian/xfonts-terminus-dos.preinst
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+set -e
+
+# Remove a no-longer used conffile
+rm_conffile() {
+    CONFFILE="$1"
+
+    if [ -e "$CONFFILE" ]; then
+        echo "Removing obsolete conffile $CONFFILE ..."
+        rm -f "$CONFFILE"
+    fi
+}
+
+case "$1" in
+    install|upgrade)
+	# Version 4.20-5.1 (etch) left obsolete conffile behind.
+	rm_conffile "/etc/X11/fonts/X11R7/misc/xfonts-terminus-dos.alias"
+	;;
+    
+    abort-upgrade)
+	;;
+    
+    *)
+        echo "preinst called with unknown argument \`$1'" >&2
+        exit 1
+	;;
+esac
+
+#DEBHELPER#
+
+exit 0

Thanks,
-- 
Theppitak Karoonboonyanan
http://linux.thai.net/~thep/

Attachment: signature.asc
Description: Digital signature


Reply to: